import 'package:get_storage/get_storage.dart';
import 'package:package_info_plus/package_info_plus.dart';

import 'abase.dart';

class AppService extends IService {
  late String appVersion;
  late final ReadWriteValue<String> token;

  @override
  Future<void> init() async {
    await GetStorage.init();
    token = ''.val("token");
    final packageInfo = await PackageInfo.fromPlatform();
    appVersion = packageInfo.version;
  }
}
